jQuery Treelist
Treelist for jQuery and jQuery Mobile
Treelist for jQuery and jQuery Mobile
Treelist for jQuery and jQuery Mobile
Hierarchical list scroller component to help navigate lists with variable depth.
Compatible with mobiscroll forms, custom inputs and more. Use it on any touch screen, no matter if small or large.
Shipping with useful features for a refined UX, including:
- Single select mode
- Hierarchy with variable depth
- Disabled values for restricting selection
- Circular wheels
- Multiple theme support
- Modal, popup and inline display mores
- RTL Support
- Full localization
Interested in scroller controls? Other demos that could be useful:
Treelist demos available for other frameworks.
Viewing demos & code for
Treelist - Unordered list
$(function () {
$('#demo').mobiscroll().treelist({
theme: '',
themeVariant: '',
lang: '',
placeholder: 'Please Select...',
width: 200
});
});
<ul id="demo" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
Treelist - Ordered list
$(function () {
$('#demo').mobiscroll().treelist({
theme: '',
themeVariant: '',
lang: '',
placeholder: 'Please Select...',
labels: ['Country', 'Medals'],
showLabel: true
});
});
<ol id="demo" class="mbsc-cloak">
<li>USA
<ol>
<li>104</li>
</ol>
</li>
<li>China
<ol>
<li>88</li>
</ol>
</li>
<li>Russia
<ol>
<li>82</li>
</ol>
</li>
<li>Great Britain
<ol>
<li>65</li>
</ol>
</li>
<li>Germany
<ol>
<li>44</li>
</ol>
</li>
</ol>
Treelist - Event handlers
EVENTS FIRED:
$(function () {
$('#demo').mobiscroll().treelist({
theme: '',
themeVariant: '',
lang: '',
labels: ['Ingredients'],
placeholder: 'Please Select...',
width: 200,
onInit: function (event, inst) {
// Your custom event handler goes here
},
onMarkupReady: function (event, inst) {
// Your custom event handler goes here
},
onBeforeShow: function (event, inst) {
// Your custom event handler goes here
},
onPosition: function (event, inst) {
// Your custom event handler goes here
},
onShow: function (event, inst) {
// Your custom event handler goes here
},
onSet: function (event, inst) {
// Your custom event handler goes here
},
onItemTap: function (event, inst) {
// Your custom event handler goes here
},
onDestroy: function (event, inst) {
// Your custom event handler goes here
},
onClose: function (event, inst) {
// Your custom event handler goes here
},
onChange: function (event, inst) {
// Your custom event handler goes here
},
onCancel: function (event, inst) {
// Your custom event handler goes here
},
onBeforeClose: function (event, inst) {
// Your custom event handler goes here
},
onClear: function (event, inst) {
// Your custom event handler goes here
}
});
});
<ul id="demo" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
Treelist - Display modes
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
$(function () {
function refreshForm() {
$('#demo-form').mobiscroll('refresh');
}
$('#demo-bottom').mobiscroll().treelist({
display: 'bottom',
placeholder: 'Please select...',
onInit: function () {
refreshForm()
}
});
$('#demo-top').mobiscroll().treelist({
display: 'top',
placeholder: 'Please select...',
onInit: function () {
refreshForm()
}
});
$('#demo-center').mobiscroll().treelist({
display: 'center',
placeholder: 'Please select...',
onInit: function () {
refreshForm()
}
});
$('#demo-bubble').mobiscroll().treelist({
display: 'bubble',
placeholder: 'Please select...',
onInit: function () {
refreshForm()
}
});
$('#demo-inline').mobiscroll().treelist({
display: 'inline',
layout: 'liquid',
placeholder: 'Please select...',
showInput: false
});
$('#demo-form').mobiscroll().form();
});
<div id="demo-form">
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Try different display modes</div>
<label>
Bottom
<ul id="demo-bottom" class="mbsc-cloak">
<li>America
<ul>
<li>Mexico</li>
<li>Brasil</li>
</ul>
</li>
<li>Europe
<ul>
<li>Germany</li>
<li>France</li>
<li>Italy</li>
</ul>
</li>
<li>Asia
<ul>
<li>China</li>
</ul>
</li>
</ul>
</label>
<label>
Top
<ul id="demo-top" class="mbsc-cloak">
<li>America
<ul>
<li>Mexico</li>
<li>Brasil</li>
</ul>
</li>
<li>Europe
<ul>
<li>Germany</li>
<li>France</li>
<li>Italy</li>
</ul>
</li>
<li>Asia
<ul>
<li>China</li>
</ul>
</li>
</ul>
</label>
<label>
Center
<ul id="demo-center" class="mbsc-cloak">
<li>America
<ul>
<li>Mexico</li>
<li>Brasil</li>
</ul>
</li>
<li>Europe
<ul>
<li>Germany</li>
<li>France</li>
<li>Italy</li>
</ul>
</li>
<li>Asia
<ul>
<li>China</li>
</ul>
</li>
</ul>
</label>
<label>
Bubble
<ul id="demo-bubble" class="mbsc-cloak">
<li>America
<ul>
<li>Mexico</li>
<li>Brasil</li>
</ul>
</li>
<li>Europe
<ul>
<li>Germany</li>
<li>France</li>
<li>Italy</li>
</ul>
</li>
<li>Asia
<ul>
<li>China</li>
</ul>
</li>
</ul>
</label>
</div>
<div class="mbsc-form-group mbsc-padding">
<p class="mbsc-thin">With inline display you can embed the treelist component in almost any markup or form.</p>
</div>
<div class="mbsc-form-group">
<div class="mbsc-form-group-title">Embedded treelist scroller</div>
<ul id="demo-inline" class="mbsc-cloak">
<li>America
<ul>
<li>Mexico</li>
<li>Brasil</li>
</ul>
</li>
<li>Europe
<ul>
<li>Germany</li>
<li>France</li>
<li>Italy</li>
</ul>
</li>
<li>Asia
<ul>
<li>China</li>
</ul>
</li>
</ul>
</div>
</div>
Treelist - Basic usage
$(function () {
$('#demo').mobiscroll().treelist({
lang: '',
theme: '',
themeVariant: '',
display: 'center',
width: [156, 136, 146],
placeholder: 'Please Select...',
labels: ['Region', 'Department', 'Tech']
});
});
<ul id="demo" class="mbsc-cloak">
<li data-val="Eastern Division">East Division
<ul>
<li data-val="Marketing">Marketing
<ul>
<li data-val="Eden E">Eden E</li>
<li data-val="Milda J">Milda J</li>
<li data-val="Porfirio R">Porfirio R</li>
</ul>
</li>
<li data-val="Research & Development">R&D
<ul>
<li data-val="Frances P">Frances P</li>
<li data-val="Frank D">Frank D</li>
<li data-val="Gianny P">Gianny P</li>
<li data-val="Ivan F">Ivan F</li>
<li data-val="John M">John M</li>
<li data-val="Mildred S">Mildred S</li>
<li data-val="Sam P">Sam P</li>
</ul>
</li>
<li data-val="Sales">Sales
<ul>
<li data-val="Edelmira R">Edelmira R</li>
<li data-val="Francie S">Francie S</li>
<li data-val="Lean F">Lean F</li>
<li data-val="Kirby C">Kirby C</li>
</ul>
</li>
</ul>
</li>
<li data-val="Western Division">West Division
<ul>
<li data-val="Marketing">Marketing
<ul>
<li data-val="Cliff B">Cliff B</li>
<li data-val="Helen D">Helen D</li>
<li data-val="Stephan V">Stephan V</li>
</ul>
</li>
<li data-val="Research & Development">R&D
<ul>
<li data-val="Andy G">Andy G</li>
<li data-val="Danny A">Danny A</li>
<li data-val="Ennio M">Ennio M</li>
<li data-val="Emil E">Emil E</li>
<li data-val="Frank S">Frank S</li>
<li data-val="Gonzo G">Gonzo G</li>
<li data-val="Hal A">Hal A</li>
<li data-val="Jack G">Jack G</li>
<li data-val="John A">John A</li>
<li data-val="Simon D">Simon D</li>
<li data-val="Victor S">Victor S</li>
</ul>
</li>
<li data-val="Sales">Sales
<ul>
<li data-val="Dana A">Dana A</li>
<li data-val="Frank D">Frank D</li>
<li data-val="Leanna S">Leanna S</li>
<li data-val="Michael D">Michael D</li>
</ul>
</li>
</ul>
</li>
</ul>
Treelist - Desktop
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
$(function () {
function refreshForm() {
$('#demo-desktop-form').mobiscroll('refresh');
}
$('#demo-desktop-top').mobiscroll().treelist({
display: 'top',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$('#demo-desktop-bottom').mobiscroll().treelist({
display: 'bottom',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$('#demo-desktop-anchored').mobiscroll().treelist({
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$('#demo-desktop-center').mobiscroll().treelist({
display: 'center',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$('#demo-desktop-form').mobiscroll().form();
});
<div id="demo-desktop-form">
<div class="mbsc-align-center">
<div class="mbsc-note mbsc-note-primary">The Treelist component can be used on mobile and desktop. See desktop functionality below.</div>
</div>
<div class="mbsc-grid">
<div class="mbsc-row mbsc-justify-content-center">
<div class="mbsc-col-sm-9 mbsc-col-md-7 mbsc-col-xl-5">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Pop-up positioning</div>
<label>
Top
<ul id="demo-desktop-top" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Bottom
<ul id="demo-desktop-bottom" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Anchored
<ul id="demo-desktop-anchored" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Center
<ul id="demo-desktop-center" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
</div>
</div>
</div>
</div>
</div>
Treelist - Theming capabilities
The look and feel of the treelist can be deeply customized. There are four levels of customization:
- Base themes: Choose between
Mobiscroll
,iOS
,Android Material
andWindows
. - Light or dark: Every theme has a
light
anddark
variant. Setting thethemeVariant
to'auto'
will switch based on system settings. - Custom themes: Use the theme builder to customize the colors and make it match your brand.
- Custom CSS: If you need further customization, the sky is the limit with CSS overrides.
You can also see how every example looks by changing the theme in the floating action bar on the right side.
mobiscroll.settings = {
lang: '',
theme: '',
themeVariant: ''
};
$(function () {
function refreshForm() {
$("#demo-form").mobiscroll('refresh');
}
$("#demo-ios").mobiscroll().treelist({
theme: 'ios',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-ios-dark").mobiscroll().treelist({
theme: 'ios',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-ios-custom").mobiscroll().treelist({
theme: 'ios-gray',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-material").mobiscroll().treelist({
theme: 'material',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-material-dark").mobiscroll().treelist({
theme: 'material',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-material-custom").mobiscroll().treelist({
theme: 'material-indigo',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-windows").mobiscroll().treelist({
theme: 'windows',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-windows-dark").mobiscroll().treelist({
theme: 'windows',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-windows-custom").mobiscroll().treelist({
theme: 'windows-yellow',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-mobiscroll").mobiscroll().treelist({
theme: 'mobiscroll',
themeVariant: 'light',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-mobiscroll-dark").mobiscroll().treelist({
theme: 'mobiscroll',
themeVariant: 'dark',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-mobiscroll-custom").mobiscroll().treelist({
theme: 'mobiscroll-lime',
display: 'bubble',
touchUi: false,
placeholder: 'Please Select ...',
onInit: function () {
refreshForm();
}
});
$("#demo-form").mobiscroll().form();
});
<div style="max-width:1000px;margin:0 auto;" mbsc-page> <div id="demo-form">
<div class="mbsc-grid mbsc-grid-fixed">
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">iOS Theme</div>
<label>
Light
<ul id="demo-ios" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Dark
<ul id="demo-ios-dark" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Custom
<ul id="demo-ios-custom" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
</div>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Material Theme</div>
<label>
Light
<ul id="demo-material" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Dark
<ul id="demo-material-dark" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Custom
<ul id="demo-material-custom" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
</div>
</div>
</div>
<div class="mbsc-row">
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Windows Theme</div>
<label>
Light
<ul id="demo-windows" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Dark
<ul id="demo-windows-dark" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Custom
<ul id="demo-windows-custom" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
</div>
</div>
<div class="mbsc-col-sm-12 mbsc-col-md-6">
<div class="mbsc-form-group-inset">
<div class="mbsc-form-group-title">Mobiscroll Theme</div>
<label>
Light
<ul id="demo-mobiscroll" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Dark
<ul id="demo-mobiscroll-dark" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
<label>
Custom
<ul id="demo-mobiscroll-custom" class="mbsc-cloak">
<li>Sugar</li>
<li>Salt</li>
<li>Butter</li>
<li>Flour</li>
<li>Chocolate</li>
</ul>
</label>
</div>
</div>
</div>
</div>
</div>
</div>
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
Component license
Purchase component licenses if you are looking for specific funcionality.
All
Framework license
Get all 36 components, including
Framework license
Get all 36 components, including
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Framework license
Select the development framework you are using. Get all 36 components with the license.
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Select the framework you are interested in
Use Javascript when building with plain and simple JS.
Use jQuery when you have jQuery already included or if you are building with jQuery Mobile.
Use AngularJS when building with Angular 1.x or Ionic 1.
Use Angular when building with Angular 2/4/5/6/7/8 or Ionic 2/3/4.
Use it when you are building your app or website with React.
Do you need additional support seats?
The license comes with one support seat. ( +$100/seat )
Add the source code?
What framework are you using?
We have to set you up with a trial for this to run 👍
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
$ mobiscroll config ionic --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Step 3.Copy the code into your app.
Step 4.Run ionic serve in the root folder of your app 🎉
$ ionic serve
And voilà, everything should be running smoothly.
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Angular project
$ mobiscroll config angular
$ mobiscroll config angular --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.
Step 4.Run ng serve in the root folder of your app 🎉
$ ng serve
And voilà, everything should be running smoothly.
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Your password has been changed!
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
Extract the zip file and open the demo in your favorite browser.
To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy!
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project
follow instructions from this page.
Let us know if we can help and enjoy! 👍

Treelist for React

Updated on May 17, 2021

Hierarchical list scroller component to help navigate lists with variable depth.

Compatible with mobiscroll forms, custom inputs and more. Use it on any touch screen, no matter if small or large.

Shipping with useful features for a refined UX, including:

  • Single select mode
  • Hierarchy with variable depth
  • Disabled values for restricting selection
  • Circular wheels
  • Multiple theme support
  • Modal, popup and inline display mores
  • RTL Support
  • Full localization



As part of Pickers & dropdowns it can be picked up with the Framework and Complete licenses or with the component license.


Interested in scroller controls? Other demos that could be useful:

Select Image scroller Scroller


Treelist demos available for other frameworks.

Viewing demos & code for

React Treelist Treelist for React

Treelist - Unordered list

Change demo
Unordered list
React Treelist picker on an unordered list used as a single value select. For React and Next.JS.
Copy code

Treelist - Ordered list

Change demo
Ordered list
Copy code

Treelist - Event handlers

Change demo
Event handlers
React Treelist picker demo with event hooks for custom integration and functionality. With source code. For React and Next.JS.
Clear event log
EVENTS FIRED: 
Copy code

Treelist - Display modes

Change demo
Display modes
React Treelist for mobile with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For React and Next.JS.
Copy code

Treelist - Basic usage

Change demo
Basic usage
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    render() {
        return (
            <div>
                <mobiscroll.Treelist
                    ref="treelist"
                    lang=" "
                    theme=" " 
                    themeVariant=" "
                    display="center"
                    width={[156, 136, 146]}
                    placeholder="Please Select..."
                    labels={['Region', 'Department', 'Tech']}
                >
                    <li data-val="Eastern Division">East Division
                        <ul>
                            <li data-val="Marketing">Marketing
                                <ul>
                                    <li data-val="Eden E">Eden E</li>
                                    <li data-val="Milda J">Milda J</li>
                                    <li data-val="Porfirio R">Porfirio R</li>
                                </ul>
                            </li>
                            <li data-val="Research & Development">R&D
                                <ul>
                                    <li data-val="Frances P">Frances P</li>
                                    <li data-val="Frank D">Frank D</li>
                                    <li data-val="Gianny P">Gianny P</li>
                                    <li data-val="Ivan F">Ivan F</li>
                                    <li data-val="John M">John M</li>
                                    <li data-val="Mildred S">Mildred S</li>
                                    <li data-val="Sam P">Sam P</li>
                                </ul>
                            </li>
                            <li data-val="Sales">Sales
                                <ul>
                                    <li data-val="Edelmira R">Edelmira R</li>
                                    <li data-val="Francie S">Francie S</li>
                                    <li data-val="Lean F">Lean F</li>
                                    <li data-val="Kirby C">Kirby C</li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                    <li data-val="Western Division">West Division
                        <ul>
                            <li data-val="Marketing">Marketing
                                <ul>
                                    <li data-val="Cliff B">Cliff B</li>
                                    <li data-val="Helen D">Helen D</li>
                                    <li data-val="Stephan V">Stephan V</li>
                                </ul>
                            </li>
                            <li data-val="Research & Development">R&D
                                <ul>
                                    <li data-val="Andy G">Andy G</li>
                                    <li data-val="Danny A">Danny A</li>
                                    <li data-val="Ennio M">Ennio M</li>
                                    <li data-val="Emil E">Emil E</li>
                                    <li data-val="Frank S">Frank S</li>
                                    <li data-val="Gonzo G">Gonzo G</li>
                                    <li data-val="Hal A">Hal A</li>
                                    <li data-val="Jack G">Jack G</li>
                                    <li data-val="John A">John A</li>
                                    <li data-val="Simon D">Simon D</li>
                                    <li data-val="Victor S">Victor S</li>
                                </ul>
                            </li>
                            <li data-val="Sales">Sales
                                <ul>
                                    <li data-val="Dana A">Dana A</li>
                                    <li data-val="Frank D">Frank D</li>
                                    <li data-val="Leanna S">Leanna S</li>
                                    <li data-val="Michael D">Michael D</li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                </mobiscroll.Treelist>
            </div>
        );
    }    
}

<div id="content"></div>

Treelist - Desktop

Change demo
Desktop
React Desktop multi-wheel dropdown component. Enjoy the excellent polished experience with cursor & pointer interaction. For React and Next.JS.
Copy code

Treelist - Theming capabilities

Change demo
Theming capabilities

The look and feel of the treelist can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos